FLTK 1.3.8: Fl_PostScript_Printer Class Reference

FLTK 1.3.8

Public Member Functions | Static Public Attributes | Protected Member Functions | Friends | List of all members
Fl_PostScript_Printer Class Reference

Print support under Unix/Linux. More...

`#include <Fl_Printer.H>`

Inheritance diagram for Fl_PostScript_Printer:

## Public Member Functions
const char * | class_name ()
| Returns the name of the class of this object. More...
int | start_job (int pages, int *firstpage=NULL, int *lastpage=NULL)
| Starts a print job. More...
Public Member Functions inherited from Fl_PostScript_File_Device
void | end_job (void)
| To be called at the end of a print job. More...
int | end_page (void)
| To be called at the end of each page. More...
| Fl_PostScript_File_Device ()
| The constructor.
void | margins (int *left, int *top, int *right, int *bottom)
| Computes the dimensions of margins that lie between the printable page area and the full page. More...
void | origin (int *x, int *y)
| Computes the page coordinates of the current origin of graphics functions. More...
void | origin (int x, int y)
| Sets the position in page coordinates of the origin of graphics functions. More...
int | printable_rect (int *w, int *h)
| Computes the width and height of the printable area of the page. More...
void | rotate (float angle)
| Rotates the graphics operations relatively to paper. More...
void | scale (float scale_x, float scale_y=0.)
| Changes the scaling of page coordinates. More...
int | start_job (FILE *ps_output, int pagecount, enum Fl_Paged_Device::Page_Format format=Fl_Paged_Device::A4, enum Fl_Paged_Device::Page_Layout layout=Fl_Paged_Device::PORTRAIT)
| Begins the session where all graphics requests will go to FILE pointer. More...
int | start_job (int pagecount, enum Fl_Paged_Device::Page_Format format=Fl_Paged_Device::A4, enum Fl_Paged_Device::Page_Layout layout=Fl_Paged_Device::PORTRAIT)
| Begins the session where all graphics requests will go to a local PostScript file. More...
int | start_page (void)
| Starts a new printed page. More...
void | translate (int x, int y)
| Translates the current graphics origin accounting for the current rotation. More...
void | untranslate (void)
| Undoes the effect of a previous translate() call. More...
| ~Fl_PostScript_File_Device ()
| The destructor.
Public Member Functions inherited from Fl_Paged_Device
virtual void | print_widget (Fl_Widget *widget, int delta_x=0, int delta_y=0)
| Draws the widget on the printed page. More...
void | print_window (Fl_Window *win, int x_offset=0, int y_offset=0)
| Prints a window with its title bar and frame if any. More...
virtual void | print_window_part (Fl_Window *win, int x, int y, int w, int h, int delta_x=0, int delta_y=0)
| Prints a rectangular part of an on-screen window. More...
virtual | ~Fl_Paged_Device ()
| The destructor.
Public Member Functions inherited from Fl_Surface_Device
Fl_Graphics_Driver * | driver ()
| Returns the graphics driver of this drawing surface.
void | driver (Fl_Graphics_Driver *graphics_driver)
| Sets the graphics driver of this drawing surface.
virtual void | set_current (void)
| Make this surface the current drawing surface. More...
virtual | ~Fl_Surface_Device ()
| The destructor.
Public Member Functions inherited from Fl_Device
virtual | ~Fl_Device ()
| Virtual destructor. More...

## Static Public Attributes
static const char * | class_id = Fl_Printer::class_id
Static Public Attributes inherited from Fl_PostScript_File_Device
static const char * | class_id = "Fl_PostScript_File_Device"
static const char * | file_chooser_title = "Select a .ps file"
| Label of the PostScript file chooser window.
Static Public Attributes inherited from Fl_Paged_Device
static const char * | class_id = "Fl_Paged_Device"
static const page_format | page_formats [NO_PAGE_FORMATS]
| width, height and name of all elements of the enum Page_Format.
Static Public Attributes inherited from Fl_Surface_Device
static const char * | class_id = "Fl_Surface_Device"
Static Public Attributes inherited from Fl_Device
static const char * | class_id = "Fl_Device"
| A string that identifies each subclass of Fl_Device. More...

## Protected Member Functions
| Fl_PostScript_Printer (void)
| The constructor.
Protected Member Functions inherited from Fl_PostScript_File_Device
Fl_PostScript_Graphics_Driver * | driver ()
| Returns the PostScript driver of this drawing surface.
Protected Member Functions inherited from Fl_Paged_Device
| Fl_Paged_Device ()
| The constructor.
Protected Member Functions inherited from Fl_Surface_Device
| Fl_Surface_Device (Fl_Graphics_Driver *graphics_driver)
| Constructor that sets the graphics driver to use for the created surface.

## Friends
class | Fl_Printer

## Additional Inherited Members
Public Types inherited from Fl_Paged_Device
enum | Page_Format { A0 = 0 , A1 , A2 , A3 , A4 , A5 , A6 , A7 , A8 , A9 , B0 , B1 , B2 , B3 , B4 , B5 , B6 , B7 , B8 , B9 , B10 , C5E , DLE , EXECUTIVE , FOLIO , LEDGER , LEGAL , LETTER , TABLOID , ENVELOPE , MEDIA = 0x1000 }
| Possible page formats. More...
enum | Page_Layout { PORTRAIT = 0 , LANDSCAPE = 0x100 , REVERSED = 0x200 , ORIENTATION = 0x300 }
| Possible page layouts. More...
Static Public Member Functions inherited from Fl_Surface_Device
static Fl_Surface_Device * | surface ()
| The current drawing surface. More...
Protected Attributes inherited from Fl_Paged_Device
int | x_offset
| horizontal offset to the origin of graphics coordinates
int | y_offset
| vertical offset to the origin of graphics coordinates

## Detailed Description

Print support under Unix/Linux.

Class Fl_PostScript_Printer is implemented only on the Unix/Linux platform. It has no public constructor. Use Fl_Printer instead that is cross-platform and has the same API.

## Member Function Documentation

## ◆ class_name()

const char * Fl_PostScript_Printer::class_name | ( |  | ) |
| inlinevirtual

Returns the name of the class of this object.

Use of the class_name() function is discouraged because it will be removed from future FLTK versions.

The class of an instance of an Fl_Device subclass can be checked with code such as:

if ( instance->class_name() == Fl_Printer::class_id ) { ... }

Reimplemented from Fl_PostScript_File_Device.

## ◆ start_job()

int Fl_PostScript_Printer::start_job | ( | int | pages,
|  | int * | firstpage = `NULL`,
|  | int * | lastpage = `NULL`
| ) |  |
| virtual

Starts a print job.

Reimplemented from Fl_PostScript_File_Device.

The documentation for this class was generated from the following files:

- Fl_Printer.H
- Fl_PostScript.cxx
- Fl_Printer.cxx

- Copyright © 1998-2021 by Bill Spitzak and others.